/*
    Declarations for screen handling functions.
    - Marq
*/

#ifndef SCREEN_H
#define SCREEN_H

void gfx_init(void);
void gfx_close(void);
void gfx_blit(unsigned char *buffer,int offx,int offy,int xs,int ys);
void gfx_wait(void);

void gfx_setcolor(int n,unsigned r,unsigned g,unsigned b);
/* Faster for multiple colours */
void gfx_setpalette(int first,int num,unsigned char *pal);

#endif
